org.apache.tiles.request.portlet.extractor

## Class RequestScopeExtractor

- java.lang.Object
- - org.apache.tiles.request.portlet.extractor.RequestScopeExtractor

- All Implemented Interfaces:
    Addable<Object>, AttributeExtractor, HasAddableKeys<Object>, HasKeys<Object>, HasRemovableKeys<Object>

      public class RequestScopeExtractor
      extends Object
      implements AttributeExtractor

  Extracts attributes from request scope of a portlet request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestScopeExtractor(javax.portlet.PortletRequest request)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enumeration<String>` | `getKeys()`
    `Object` | `getValue(String key)`
    `void` | `removeValue(String name)`
    `void` | `setValue(String name, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestScopeExtractor

          public RequestScopeExtractor(javax.portlet.PortletRequest request)

      Constructor.
      Parameters:
        `request` - The portlet request.

  - ### Method Detail

    - #### setValue

          public void setValue(String name,
                               Object value)

      Specified by:
        `setValue` in interface `Addable<Object>`

    - #### removeValue

          public void removeValue(String name)

      Specified by:
        `removeValue` in interface `HasRemovableKeys<Object>`

    - #### getKeys

          public Enumeration<String> getKeys()

      Specified by:
        `getKeys` in interface `HasKeys<Object>`

    - #### getValue

          public Object getValue(String key)

      Specified by:
        `getValue` in interface `HasKeys<Object>`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.